org.apache.tools.ant.types.resources

## Class First

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
      - - org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
        - - org.apache.tools.ant.types.resources.SizeLimitCollection
          - - org.apache.tools.ant.types.resources.First

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Iterable<Resource>, ResourceCollection

    public class First
    extends SizeLimitCollection

ResourceCollection that contains the first `count` elements of another ResourceCollection, a la the UNIX head command.

Since:
  Ant 1.7

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`First()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.Collection<Resource>` `getCollection()` Take the first `count` elements.

### Methods inherited from class org.apache.tools.ant.types.resources.SizeLimitCollection

`getCount, getValidCount, setCount, size`

### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper

`createIterator, getSize`

### Methods inherited from class org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper

`add, dieOnCircularReference, getResourceCollection, isCache, isFilesystemOnly, iterator, setCache, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### First

    public First()

### Method Detail

#### getCollection

    protected java.util.Collection<Resource> getCollection()

Take the first `count` elements.

Specified by:
  `getCollection` in class `BaseResourceCollectionWrapper`
Returns:
  a Collection of Resources.